Skip to main content
POST
/
annotation_queues
/
{queue_id}
/
items
/
{item_id}
/
progress
Annotation Queue Item Progress Update
curl --request POST \
  --url https://api.example.com/annotation_queues/{queue_id}/items/{item_id}/progress \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "annotation_state": "<string>"
}
'
import requests

url = "https://api.example.com/annotation_queues/{queue_id}/items/{item_id}/progress"

payload = {
"project_id": "<string>",
"annotation_state": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({project_id: '<string>', annotation_state: '<string>'})
};

fetch('https://api.example.com/annotation_queues/{queue_id}/items/{item_id}/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "item": {
    "id": "<string>",
    "project_id": "<string>",
    "queue_id": "<string>",
    "call_id": "<string>",
    "call_started_at": "2023-11-07T05:31:56Z",
    "call_op_name": "<string>",
    "call_trace_id": "<string>",
    "display_fields": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "call_ended_at": "2023-11-07T05:31:56Z",
    "added_by": "<string>",
    "annotator_user_id": "<string>",
    "deleted_at": "2023-11-07T05:31:56Z",
    "position_in_queue": 123
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

queue_id
string
required
item_id
string
required

Body

application/json

Request body for updating annotation progress (queue_id and item_id come from path).

Note: wb_user_id is not included in the body - it's set server-side from the authenticated session.

project_id
string
required
Example:

"entity/project"

annotation_state
string
required

New state: 'in_progress', 'completed', or 'skipped'

Examples:

"in_progress"

"completed"

"skipped"

Response

Successful Response

Response from updating annotation state.

item
AnnotationQueueItemSchema · object
required

Schema for annotation queue item responses.